import 'package:flutter/material.dart';

class FullScreenError extends StatelessWidget {
  final String message;
  final String error;
  final List<Widget>? actions;

  const FullScreenError({
    super.key,
    required this.message,
    required this.error,
    this.actions,
  });

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(title: Text("Error")),
      body: Padding(
        padding: const EdgeInsets.all(8.0),
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Card(
              elevation: 2,
              color: Colors.red,
              child: Padding(
                padding: const EdgeInsets.all(8.0),
                child: Column(
                  children: [
                    Text(
                      message,
                      style: TextStyle(color: Colors.white, fontSize: 20),
                    ),
                    Text(error, style: TextStyle(color: Colors.white)),
                  ],
                ),
              ),
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.center,
              children: actions ?? [],
            ),
          ],
        ),
      ),
    );
  }
}
